Bug 1297 - Errors when using the "--capture" command-line option.
Summary: Errors when using the "--capture" command-line option.
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG5
Classification: Unclassified
Component: BasicPlatform (show other bugs)
Version: 5.0.10
Hardware: Intel x86-64 Windows 64-bit
: P5 major
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2020-09-22 12:26 EDT by David Allen
Modified: 2020-10-26 10:20 EDT (History)
0 users

See Also:


Attachments
screenshot of command-line (223.58 KB, image/png)
2020-09-22 12:26 EDT, David Allen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Allen 2020-09-22 12:26:32 EDT
Created attachment 423 [details]
screenshot of command-line

0:0:1 of capture. Emailing a link to source files.
build (4259)

The ADB was built with a different lat,long than the one used by the terrain scene file. But the RGB version of the render completes. The SWIR sensor doesn't render a single line.
Comment 1 David Allen 2020-09-22 16:55:34 EDT
coworker tested platform file and adb on linux. He was able to get render with D4 but not D5. He did however get an error message:

"Starting capture: Task #1, Capture #2, Event #2 of 2
    Date/Time = 1996-06-24T13:30:00.0084-05:00, relative time = 8.400e-03
    Multi-focal plane camera setup -> SWIR
        Bandpass = 1.540 - 2.040 @ 0.001 with 501 samples
        Array size = 10000 x 4250

 

Error while walking a node path at node index: 0

 

Error while processing a path:

 

CLSpectralVector.h:358: error: Math
  Mismatched vector sizes!

 

/home/jrominsky/tools/dirsig/dirsig-5.0.10.3671/bin/dirsig5: line 41: 50534 Aborted                 (core dumped) ${DIRSIG5_BIN_DIR}/${PROG}-${DIRSIG5_VERSION} "$@"
Comment 2 David Allen 2020-09-22 16:57:28 EDT
coworkers build was 3671
Comment 3 David Allen 2020-09-22 16:58:32 EDT
coworkers system = Linux 64
Comment 4 Scott D. Brown 2020-09-23 07:18:53 EDT
Files downloaded, taking a look.
Comment 5 Scott D. Brown 2020-09-23 08:26:38 EDT
The set of files isn't the best example of a clear scenario to debug. If this is a case of "RGB works fine, SWIR does not" then I would like to see an RGB sim and a SWIR sim and not "terrain.sim", "trees.sim" and "terrain_and_trees.sim". And in the future you can reduce the file size by not shipping the HDF that can be made from the rest of the files (send all the scene files or the HDF, but no need to send both).

In the end, this could probably be easily produced with a demo scene. Which is what we always encourage users to try first.
Comment 6 Scott D. Brown 2020-10-01 12:20:43 EDT
This was resolved with a simpler scene. Adam tracked down the issue to how we translated the capture request on the command line to the internal event queue and to how the internal radiance buffers for the two focal planes got fetched. The fix was merged into master on 28-Sept-2020.
Comment 7 Scott D. Brown 2020-10-26 10:20:10 EDT
Bug #1306 is vaguely related to this one.